List Products
curl --request GET \
--url https://api.example.com/productsimport requests
url = "https://api.example.com/products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Products
List Products
Retrieve products for your team with Stripe-style pagination.
GET
/
products
List Products
Query Parameters
integer
default:"15"
Number of records to return. Maximum
100.string
Return items after this product ID.
string
Return items before this product ID.
string
Filter by connected store ID.
string
Filter by status:
active, draft, or archived.Response
200
{
"object": "list",
"data": [
{
"id": "prod-uuid",
"name": "Classic T-Shirt",
"description": "100% cotton crew neck",
"price": 29.99,
"compare_at_price": null,
"currency": "USD",
"sku": "TSH-001",
"status": "active",
"image_url": "https://cdn.example.com/tshirt.jpg",
"images": ["https://cdn.example.com/tshirt.jpg"],
"product_url": "https://my-store.myshopify.com/products/classic-tshirt",
"store_id": "store-uuid",
"external_product_id": "123456789",
"team_stores": {
"store_name": "My Store",
"store_domain": "my-store.myshopify.com",
"platform": "shopify"
},
"created_at": "2026-04-08T18:00:00Z"
}
],
"has_more": true,
"url": "/products"
}
⌘I